package com.xhkjedu.sexam.mapper.paperstudent;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.paperstudent.EPaperStudent;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname EPaperStudentMapper
 * @description 试卷学生
 * @date 2022/7/25 15:34
 **/
@Repository
public interface EPaperStudentMapper extends TkMapper<EPaperStudent> {

    //学生进行中考试列表
    List<Map> listExamPapersForStudent(@Param("studentid")Integer studentid);

    //学生已结束考试列表
    List<Map> listExamsEndForStudent(@Param("studentid")Integer studentid);
}