package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.sexam.model.BaseBean;
import com.xhkjedu.sexam.vo.paper.EPaperQPointVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "e_paper_qtype_question")
@Data
public class EPaperQtypeQuestion extends BaseBean {
    @Id
    //考试试卷题型试题表
    private Integer eptqid;

    //考试试卷题型表id
    private Integer eptid;

    //考试试卷表id
    private Integer epid;

    //处理题型
    private Integer ctype;

    //试题id
    private String questionid;

    //题型id
    private String qtypeid;

    //题型名称
    private String qtypename;

    //试题分值
    private Double score;

    //试题排序
    private Integer qorder;

    //题号
    private String qn;

    //选项数量
    private Integer optionnum;

    //正确答案
    private String answer;

    //坐标
    private String coord;

    //作文格数
    private Integer gnum;

    //答题区
    private String dtq;

    //难易度
    @Transient
    private Integer complexity;

    //试题关联知识点
    @Transient
    private List<EPaperQPointVo> points = new ArrayList<>();

    //坐标集合
    @Transient
    private List<String> coordlist;

}